io.flutter.plugin.common

## Class StringCodec

- java.lang.Object
- - io.flutter.plugin.common.StringCodec

- All Implemented Interfaces:
    MessageCodec<String>

      public final class StringCodec
      extends Object
      implements MessageCodec<String>

  A `MessageCodec` using UTF-8 encoded String messages.

  This codec is guaranteed to be compatible with the corresponding StringCodec on the Dart side. These parts of the Flutter SDK are evolved synchronously.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringCodec` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decodeMessage(ByteBuffer message)` Decodes the specified message from binary.
    `ByteBuffer` | `encodeMessage(String message)` Encodes the specified message into binary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final StringCodec INSTANCE

  - ### Method Detail

    - #### encodeMessage

          public ByteBuffer encodeMessage(String message)

      Description copied from interface: `MessageCodec`
      Encodes the specified message into binary.
      Specified by:
        `encodeMessage` in interface `MessageCodec<String>`
      Parameters:
        `message` - the T message, possibly null.
      Returns:
        a ByteBuffer containing the encoding between position 0 and the current position, or null, if message is null.

    - #### decodeMessage

          public String decodeMessage(ByteBuffer message)

      Description copied from interface: `MessageCodec`
      Decodes the specified message from binary.
      Specified by:
        `decodeMessage` in interface `MessageCodec<String>`
      Parameters:
        `message` - the `ByteBuffer` message, possibly null.
      Returns:
        a T value representation of the bytes between the given buffer's current position and its limit, or null, if message is null.